ByteChef LogoByteChef

Teamwork

Teamwork is a project management software that helps teams collaborate, organize tasks, and track progress efficiently.

Categories: CRM, Project Management

Type: teamwork/v1


Connections

Version: 1

Basic Auth

Properties

NameLabelTypeDescriptionRequired
siteNameYour site nameSTRINGe.g. https://{yourSiteName}.teamwork.comtrue
usernameAPI KeySTRINGtrue

Connection Setup

Find API Token

  1. Navigate to your Teamwork dashboard.
  2. Click on your account icon.
  3. Click on Edit my details.
  4. Click on API & Mobile.
  5. Click on Show your Token.
  6. Now you can copy your API Token.
  7. Exit pop up window.
  8. Click on your account icon.
  9. Click on Settings.
  10. Here you can see yore site name.
  11. Done 🚀.

Actions

Create Company

Name: createCompany

Creates a new company.

Properties

NameLabelTypeDescriptionRequired
companyCompanyOBJECT
Properties {STRING(name), STRING(emailOne), STRING(phone), STRING(website)}
false

Example JSON Structure

{
  "label" : "Create Company",
  "name" : "createCompany",
  "parameters" : {
    "company" : {
      "name" : "",
      "emailOne" : "",
      "phone" : "",
      "website" : ""
    }
  },
  "type" : "teamwork/v1/createCompany"
}

Output

Type: OBJECT

Properties

NameTypeDescription
nameSTRINGThe name of the company.
emailOneSTRINGEmail address of the company.
phoneSTRINGPhone number for the company.
websiteSTRINGThe company's website.

Output Example

{
  "name" : "",
  "emailOne" : "",
  "phone" : "",
  "website" : ""
}

Create Task

Name: createTask

Create a new task.

Properties

NameLabelTypeDescriptionRequired
tasklistIdTask List IDINTEGERTask list where new task is added.true
taskTaskOBJECT
Properties {STRING(name), STRING(description), DATE(dueAt)}
false

Example JSON Structure

{
  "label" : "Create Task",
  "name" : "createTask",
  "parameters" : {
    "tasklistId" : 1,
    "task" : {
      "name" : "",
      "description" : "",
      "dueAt" : "2021-01-01"
    }
  },
  "type" : "teamwork/v1/createTask"
}

Output

Type: OBJECT

Properties

NameTypeDescription
nameSTRINGName of the task.
descriptionSTRINGDescription of the task.
dueAtSTRINGDue date of the task.

Output Example

{
  "name" : "",
  "description" : "",
  "dueAt" : ""
}

Find Task List ID

To find the Task List ID, click here.

What to do if your action is not listed here?

If this component doesn't have the action you need, you can use Custom Action to create your own. Custom Actions empower you to define HTTP requests tailored to your specific requirements, allowing for greater flexibility in integrating with external services or APIs.

To create a Custom Action, simply specify the desired HTTP method, path, and any necessary parameters. This way, you can extend the functionality of your component beyond the predefined actions, ensuring that you can meet all your integration needs effectively.


Additional Instructions

How to find Task List ID

  • Method 1: Via API

Use the GET /tasklists endpoint to retrieve a list of all task lists and their IDs.

  • Method 2: Via UI

Open your Teamwork dashboard and navigate to the project you want to use. In the left-hand menu, you’ll see a list of task lists and select the one you need. Once opened, check the URL in your browser. The Task List ID is the number shown in the URL.

For example, in the URL https://bytechef.teamwork.com/app/tasklists/3369352/list, the Task List ID is 3369352.

How is this guide?

Last updated on

On this page